# Proxmox Management

This repo contains script used to manage a multi-tenant proxmox environment for the [Reudnetz w.V.]().
These scripts were created because ansible currently lacks modules to configure users and groups.

**Please take note of all the orgas, users and vms you've created -- this collection does not keep track of that**

## Overview

We use users, groups, resource pools, and roles to build a multi-tenante proxmox instance.

The idea is that virtual machines/containers are created by an admin and moved into a resource pool that is 


## Requirements

* zfs storage pool for customer compartments:
	* _change in `create_organisation`_

* storage pool for customer vm disks:
	* `zfs create rpool/customer-disks`
	* `pvesm add zfspool customer-disks --pool rpool/customer-disks --content images`
	* _change in `create_vm`_

* bridge for customer vms
	* _change in `create_vm`_
	* needs to be tag aware
	* vms tag there traffic with the vmid

## Create a new VM

information you need to get beforehand from the custome:
- organisation
- username
- mail

**step 1: create an organisation**
* (if one does not already exist)
* `./create_organisation <name>`

**step 2: create the user account**

